import request from "@/utils/request";

// 查看列表
export function getTeacherList(query) {
  return request({
    url: "/schoolTeacherExperimentApply/getTeacherList",
    method: "get",
    params: query,
  });
}
// 获取实验室
export function getLabList(plannedStartTime, plannedEndTime, sub) {
  return request({
    url: `/schoolLabClassYear/getLabList?plannedStartTime=${plannedStartTime}&plannedEndTime=${plannedEndTime}&sub=${sub}`,
    method: "get",
  });
}
// 分配实验室
export function getExperimentLabs(data) {
  return request({
    url: "/schoolTeacherExperimentApply/teacherExperimentLabs",
    method: "post",
    data,
  });
}
// 查看详情
export function getTeacherapplyxq(id) {
  return request({
    url: "/schoolTeacherExperimentApply/detail/" + id,
    method: "get",
  });
}
